import { ClassValue } from "clsx";
import React, { ReactNode } from "react";
import { TenkaTextSprinkles } from "./Text.css";
export interface TextColorProps {
    primary?: boolean;
    secondary?: boolean;
    positive?: boolean;
    success?: boolean;
    critical?: boolean;
    error?: boolean;
    warning?: boolean;
    caution?: boolean;
    info?: boolean;
    brand?: boolean;
    accent?: boolean;
    link?: boolean;
}
export interface TextVariantProps {
    displayL?: boolean;
    displayM?: boolean;
    displayS?: boolean;
    displayXs?: boolean;
    heading1?: boolean;
    heading2?: boolean;
    heading3?: boolean;
    heading4?: boolean;
    heading5?: boolean;
    heading6?: boolean;
    labelL?: boolean;
    labelM?: boolean;
    labelS?: boolean;
    labelXs?: boolean;
    bodyL?: boolean;
    bodyM?: boolean;
    bodyS?: boolean;
    bodyXs?: boolean;
    caption?: boolean;
}
export interface TenkaTextProps extends TenkaTextSprinkles, TextVariantProps, TextColorProps {
    as?: React.ElementType;
    children?: ReactNode;
    className?: ClassValue;
    truncate?: boolean | number;
    prewrap?: boolean;
}
//# sourceMappingURL=textTypes.d.ts.map